# This file created by conda-build 3.0.28
# meta.yaml template originally from:
# C:\ci\containers\00001nq6j86\tmp\build\80754af9\rsync-recipes\python-2.7.14-c_compilervs2008cxx_compilervs2008-on-winbuilder, last modified Wed Nov  8 13:38:07 2017
# ------------------------------------------------

package:
    name: python
    version: 2.7.14
source:
    fn: Python-2.7.14.tgz
    patches:
        - 0001-backport-Python-3.6-_PYTHON_SYSCONFIGDATA_NAME.patch
        - 0002-Add-Anaconda-Distribution-version-logic.patch
        - 0003-Darwin-Hack-sys.-exec_-prefix-if-run-from-python.app.patch
        - 0004-Darwin-Add-arch-x86_64-to-UnicCCompiler-ld_args.patch
        - 0005-Win32-distutils-Also-look-for-executable.bat.patch
        - 0006-Win32-Ensure-Library-bin-is-in-os.environ-PATH.patch
        - 0007-Win32-Change-FD_SETSIZE-from-512-to-2048.patch
        - 0008-Win32-Fixes-for-Windows-GCC-interop-needed-by-RPy2-a.patch
        - 0009-Do-not-pass-g-to-GCC-when-not-Py_DEBUG.patch
        - 0010-Darwin-Look-in-sysroot-usr-lib-include-if-sysroot-is.patch
        - 0011-runtime_library_dir_option-Use-1st-word-of-CC-as-com.patch
    sha256: 304c9b202ea6fbd0a4a8e0ad3733715fbd4749f2204a9173a58ec53c32ea73e8
    url: https://www.python.org/ftp/python/2.7.14/Python-2.7.14.tgz
build:
    no_link:
        - DLLs/_ctypes.pyd
    number: '23'
    string: h8c3f1cb_23
requirements:
    build:
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    run:
        - vc 9.*
test:
    commands:
        - python -V
        - pydoc -h
        - idle -h
        - python -c "import sysconfig; print sysconfig.get_config_var('CC')"
about:
    description: 'Python is a widely used high-level, general-purpose, interpreted,
        dynamic

        programming language. Its design philosophy emphasizes code

        readability, and its syntax allows programmers to express concepts in

        fewer lines of code than would be possible in languages such as C++ or

        Java. The language provides constructs intended to enable clear programs

        on both a small and large scale.

        '
    dev_url: https://docs.python.org/devguide/
    doc_source_url: https://github.com/python/pythondotorg/blob/master/docs/source/index.rst
    doc_url: https://www.python.org/doc/versions/
    home: http://www.python.org/
    license: PSF
    license_file: LICENSE
    summary: General purpose programming language
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jjhelmus
        - mingwandroid
        - msarahan
        - pelson
